package jsat.parameters;

/**
 * A double parameter that may be altered. 
 * 
 * @author Edward Raff
 */
public abstract class DoubleParameter extends Parameter
{

	private static final long serialVersionUID = 4132422231433472554L;

	/**
     * Returns the current value for the parameter. 
     * @return the value for this parameter. 
     */
    abstract public double getValue();
    
    /**
     * Sets the value for this parameter. 
     * @return <tt>true</tt> if the value was set, <tt>false</tt> if the value 
     * was invalid, and thus ignored. 
     */
    abstract public boolean setValue(double val);
    
    @Override
    public String getValueString() 
    {
        return Double.toString(getValue());
    }
}
